mobitool(1)

NAME
mobitool - Utility for handling MOBI format ebook files.

SYNOPSIS
mobitool [-cdehimrstuvx7] [-o dir] [-p pid] [-P serial] file

DESCRIPTION
The program handles .prc, .mobi, .azw, .azw3, .azw4, some .pdb documents. It is powered by libmobi library.

Invoked without arguments prints document metadata and exits.

A list of flags and their descriptions:

-c  dump cover

-d  dump rawml text record

-e  convert mobi to epub

-h  show usage summary and exit

-i  print detailed metadata

-m  print records metadata

-o dir
    save output to dir folder

-p pid
    set pid for decryption

-P serial
    set device serial number for decryption

-r  dump raw records

-s  dump recreated source files

-t  split hybrid file into two parts: mobi and azw3

-u  show rusage (diagnostics)

-v  show version and exit

-x  extract conversion source and log (if present)

-7  parse KF7 part of hybrid file (by default KF8 part is parsed)

EXAMPLES
The following command decompiles given mobi document. The output folder will be created in /tmp.

    % mobitool -s -o /tmp example.mobi

The following command converts mobi document to epub format.

    % mobitool -e example.mobi

RETURN VALUES
The mobitool utility returns 0 on success, 1 on error.

COPYRIGHT
Copyright (C) 2014-2022 Bartek Fabiszewski.

Released under LGPL version 3 or any later (same as libmobi ).

WEB SITE
Visit http://www.fabiszewski.net for details.

DIAGNOSTICS
For diagnostics libmobi must be configured with - -enable-debug option.

SEE ALSO
mobimeta(1) mobidrm(1)